sosreport (4.10.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.10.2 upstream release. (LP: #2136302)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.2

  * d/control: Add gpg to Recommends so that we are able encrypt and decrypt
    sos report archives

  * d/copyright: sync with Debian

  * Former patches, now fixed:
    - d/p/0002-component-Grab-tmpdir-from-policy.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@ubuntu.com>  Tue, 16 Dec 2025 18:05:32 +0000

sosreport (4.9.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.9.2 upstream release. (LP: #2114840)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.2

  * Update the package to bring back the sosreport and sos-collector commands
    and their respective man pages. This add various files for this
    - debian/bin.sosreport
    - debian/bin.sos-collector
    - debian/links
    d/rules was updated to install the bin files in the right location

  * d/control: Add 'python3-yaml' as part of depends for the sunbeam plugin

  * wrap-and-sort files, so that in future one-line changes to any of
    the corresponding files.

  * d/copyright:
    - Sync with Debian package

  * d/p/0002-component-Grab-tmpdir-from-policy.patch: Fix a regression
    where the sos was being created in /var/tmp instead of /tmp. The
    hard-coded value is now updated to use the policy which for debian
    defaults to /tmp.

  * Former patches, now fixed:
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
    - d/p/0006-ubuntu-Revamp-of-plugin.patch:
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 24 Jul 2025 15:18:48 +0000

sosreport (4.8.2-0ubuntu0~24.04.2) noble; urgency=medium

  * Resolve obfuscation issues (LP: #2101134)
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
      Fixes the obfuscation of SECRET_KEY and PASSWORD fields in the config
      file for horizon in /etc/horizon/local_setting.py.
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
      Fixes the obfuscation of "rgw keystone admin password" key in
      /etc/ceph/ceph.conf on the radosgw node.
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
      Collect the auth.log, syslog and kern.log now by default. This was
      removed in a prior version. This is very useful for debugging issues for
      support personnel. This re-instates the collection from releases prior
      to 4.4.
    - d/p/0006-ubuntu-Revamp-of-plugin.patch:
      Collect Ubuntu Pro details that were being missed. The package name was
      changed and the plugin was no longer collecting the details.

  * Resolve username clean issues (LP: #2102199)
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
      Fix username clean issue. A regression was introduced in 4.8.2 where the
      username was not being cleaned due to the command updated from last to
      last -F.
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:
      oracular and plucky don't have last and lastlogin by default, we now use
      lslogins and lastlogin2 to grab the user details and clean based out of
      these outputs.

 -- Arif Ali <arif-ali@canonical.com>  Wed, 12 Mar 2025 17:24:19 +0000

sosreport (4.8.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.8.2 upstream release. (LP: #2091858)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.2

  * d/t/simple.sh:
    - Fix the IP address check, and escape the periods for grepping the IP
      address on the files to check if the IP address is being masked or not.
    - Replace "sosreport" with "sos report". The old command is now deprecated,
      and should be "sos report" in all places.
    - Fix S01autopkgtest and autopkgtest-run mis-represented as a hostname.

  * Former patches, now fixed:
    - d/p/0003-sunbeam_hypervisor-Fix-obfuscation-for-ceilometer-an.patch
    - d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@canonical.com>  Mon, 16 Dec 2024 11:14:47 +0000

sosreport (4.7.2-0ubuntu1~24.04.2) noble; urgency=medium

  * Resolve obfuscation issues (LP: #2085607)
    - d/p/0003-sunbeam_hypervisor-Fix-obfuscation-for-ceilometer-an.patch:
      The sunbeam plugin was added recently, but ceilometer wasn't there.
    - d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
      The configuration option auth_encryption_key was not being
      obfuscated by default.
    - d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
      The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated
      in one of the config files.
    - d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
      The password field in one of the config files was not being obfuscated.

 -- Arif Ali <arif.ali@canonical.com>  Thu, 24 Oct 2024 06:45:01 +0000

sosreport (4.7.2-0ubuntu1~24.04.1) noble; urgency=medium

  * New 4.7.2 upstream release. (LP: #2054395)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.7.2

  * d/control:
    - Add 'python3-packaging' as part of the runtime depends.
    - Add 'python3-packaging' as part of the build depends:
      Use packaging for version comparison instead of pkg_resources from
      setuptools.
    - Add 'python3-yaml' as part of the build depends:
      The new saltstack collect plugin now imports the yaml module, this is
      now required to build and run the sos package
    - Add 'python3-boto3' as part of the runtime Recommends:
      A new feature for uploading to S3 was implemented and the boto3 module
      is used for this. Although not a hard requirement, but could be useful
      moving forward.

  * Former patches, now fixed:
    - d/p/0002-obfuscate-netplan-ssid-password.patch
    - d/p/0003-removed-assertEquals-fix.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif.ali@canonical.com>  Fri, 21 Jun 2024 09:43:46 +0100

sosreport (4.5.6-0ubuntu4) noble; urgency=medium

  * d/p/removed-assertEquals-fix.patch: assertEquals was removed, let's
    use assertEqual (LP: #2061325)

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 14 Apr 2024 21:45:27 +0000

sosreport (4.5.6-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:47 +0200

sosreport (4.5.6-0ubuntu2) mantic; urgency=medium

  * d/tests/simple.sh:
    - Correct typo in test_mask to print ip address
      (LP: #2037873)

  * d/p/0002-obfuscate-netplan-ssid-password.patch:
    - Obfuscate SSID password in netplan/XX.yaml files
      (LP: #2037872)

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 03 Oct 2023 05:43:23 +0000

sosreport (4.5.6-0ubuntu1) mantic; urgency=medium

  * New 4.5.6 upstream. (LP: #2028327)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.6

  * Former patches, now fixed:
    - d/p/0002-regex-flags.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Fri, 21 Jul 2023 08:04:22 +0000

sosreport (4.5.4ubuntu1) mantic; urgency=medium

  * New 4.5.4 upstream. (LP: #2022915)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.4

  * d/rules:
    - skip running unittests/policy_tests.py due to the avocado dependency

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-regex-flags.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 13 Jun 2023 07:15:42 +0000

sosreport (4.5.3ubuntu2) mantic; urgency=medium

    * d/control:
   - Add 'python3-magic' to runtime depends.

 -- Nikhil Kshirsagar <nkshirsagar@gmail.com>  Fri, 05 May 2023 12:37:54 +0000

sosreport (4.5.3ubuntu1) mantic; urgency=medium

  * New 4.5.3 upstream. (LP: #2018270)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.3

    * d/control:
   - Add 'python3-magic' as part of the build depends.
   - Add 'python3-pexpect' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 02 May 2023 05:05:50 +0000

sosreport (4.5-1ubuntu0) lunar; urgency=medium

  * New 4.5.1 upstream. (LP: #2009338)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.0
    - https://github.com/sosreport/sos/releases/tag/4.5.1

    * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
 
 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Mon, 06 Mar 2023 06:10:48 +0000

sosreport (4.4-1ubuntu2) lunar; urgency=medium

  * Adjust version number to fix the upgrade path
    (jammy/kinetic/lunar) (LP: #1995234)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 08 Nov 2022 10:14:00 -0300

sosreport (4.4-1ubuntu0) kinetic; urgency=medium

  * New 4.4 upstream. (LP: #1986611)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.4

  * Former patches, now fixed:
    - d/p/0002-fix-setup-py.patch
    - d/p/0003-mention-sos-help-in-sos-manpage.patch

  * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Wed, 17 Aug 2022 08:38:30 +0000

sosreport (4.3-1ubuntu2) jammy; urgency=medium

  * d/p/0003-mention-sos-help-in-sos-manpage.patch:
    Fix sos-help manpage.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 16 Feb 2022 13:05:13 -0500

sosreport (4.3-1ubuntu1) jammy; urgency=medium

  * New 4.3 upstream. (LP: #1960996)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.3

  * New patches:
    - d/p/0002-fix-setup-py.patch:
      Add python sos.help module, it was miss in
      upstream release.

  * Former patches, now fixed:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch:

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 15 Feb 2022 23:10:27 -0500

sosreport (4.2-1ubuntu2) jammy; urgency=medium

  * d/p/0006-report-check-for-symlink-before-rmtree.patch:
    - Fixing --estimate-only option by checking if the dirs
      are also symlink before performing rmtree() method so
      that unlink() method can be used instead.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 19 Oct 2021 14:20:44 -0400

sosreport (4.2-1ubuntu1) jammy; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-chrony-configuration-can-now-be-fragmented.patch
    - d/p/0005-global-drop-plugin-version.patch
    - d/p/0006-networking-check-presence-of-devlink.patch
    - d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 18 Oct 2021 09:24:22 -0400

sosreport (4.1-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:39 +0200

sosreport (4.1-1ubuntu2) impish; urgency=medium

  * d/p/series:
    - Re-order patches in numerical order.

  * d/p/0003-ubuntu-policy-fix-upload.patch:
    - Fix sos archive upload to UA Canonical server
      (LP: #1923209)

  * d/p/0004-chrony-configuration-can-now-be-fragmented.patch:
    - Chrony 4.0, first introduced in Hirsute, support
      fragmented configuration.

  * d/p/0005-global-drop-plugin-version.patch:
    - Removal of plugins versionning features as it generate
      unhelpful noise. (LP: #1922925)

  * d/p/0006-networking-check-presence-of-devlink.patch:
    - On certain kernel configuration, devlink cmds may
      trigger the module to load automatically. This will
      also prevent simple.sh, part of the autopkgtest, in
      Bionic to fail due to devlink kernel conf in 4.15.
      (LP: #1923661)

  * d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch:
    - Fixes an exception propagation from `cleanup()`
      where an attempt to look for and remove a checksum
      file was made when an archive was not generated.
      (LP: #1923641)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Apr 2021 15:34:42 -0400

sosreport (4.1-1ubuntu1) hirsute; urgency=medium

  * New 4.1 upstream minor release.
    - https://github.com/sosreport/sos/releases/tag/4.1

  * d/test/simple.sh:
    - Update the script from upstream
    - Modify the script to use /tmp as a target, instead
      of /var/tmp.

  * d/test/control:
    - Adding isolation-machine as simple.sh wants to
      interact with the kernel.

  * Former patches:
    - d/p/0002-fix-dict-order-py38-incompatibility.patch
    - d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch
    - d/p/0004-sosclean-fix-tarball-skipping-regex.patch
    - d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch
    - d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch
    - d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch
    - d/p/0008-networking-include-ip-neigh-and-rule-info.patch
    - d/p/0009-conntrack-add-conntrack-info.patch
    - d/p/0010-conntrack-gather-per-namespace-data.patch
    - d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch
    - d/p/0012-apt-move-unattended-upgrades-log-collection.patch
    - d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
    - d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
    - d/p/0015-k8s-fix-cdk-related-file-paths.patch
    - d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    - d/p/0017-ovn-extend-information.patch
    - d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch
    - d/p/0019-ovn-fix-sbctl-cmd-execution.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
   - d/p/0002-clean-prevent-parsing-ubuntu-user.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 22 Mar 2021 12:19:59 +0000

sosreport (4.0-1ubuntu9) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0019-ovn-fix-sbctl-cmd-execution.patch (LP: #1916635)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 24 Feb 2021 10:40:56 -0500

sosreport (4.0-1ubuntu8) hirsute; urgency=medium

  * d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Feb 2021 08:49:59 -0500

sosreport (4.0-1ubuntu7) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0017-ovn-extend-information.patch (LP: #1915072)
    - Extend ovn informations

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 11 Feb 2021 11:06:31 -0500

sosreport (4.0-1ubuntu6) hirsute; urgency=medium

  [Eric Desrochers]
  * d/p/0012-apt-move-unattended-upgrades-log-collection.patch
  (LP: #1906302)

  [Ponnuvel Palaniyappan]
  * d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
  (LP: #1913284)

  [Felipe Reyes]
  * d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
  * d/p/0015-k8s-fix-cdk-related-file-paths.patch
  (LP: #1913583)

  [Michael Biebl]
  * d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    (LP: #1913581)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 29 Jan 2021 12:20:50 -0500

sosreport (4.0-1ubuntu5) hirsute; urgency=medium

  [Ponnuvel Palaniyappan]
  * d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch:
    - Ceph mons might get into time sync problems if ntp/chrony
      isn't installed or configured correctly. Since Luminous
      release, upstream support 'time-sync-status' to detect this
      more easily. (LP: #1910264)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Jan 2021 11:18:38 -0500

sosreport (4.0-1ubuntu4) hirsute; urgency=medium

  [Hemanth Nakkina]
  * d/p/0009-conntrack-add-conntrack-info.patch: rename the
    conntrackd plugin to conntrack; add conntrack commands.
    (LP: #1898077)

  [Mauricio Oliveira]
  * d/p/0010-conntrack-gather-per-namespace-data.patch: add
    conntrack commands for network namespaces.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 23 Nov 2020 15:10:12 -0300

sosreport (4.0-1ubuntu3) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0008-networking-include-ip-neigh-and-rule-info.patch:
    - Include ns ip neigh and ip rule info. (LP: #1901555)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Oct 2020 11:04:41 -0400

sosreport (4.0-1ubuntu2) groovy; urgency=medium

  [Nicolas Bock]
  * d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch:
    - Add 10 second timeout to call to `maybe_stuck()`.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 21 Sep 2020 10:47:11 -0400

sosreport (4.0-1ubuntu1) groovy; urgency=medium

  [Eric Desrochers]
  * d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch:
    - Fixes the splitting of filepaths within the archive,
      when the archive name is included in the filename
      inside the archive. (LP: #1896222)

  * d/p/0004-sosclean-fix-tarball-skipping-regex.patch:
    - Fix tarball skipping regex

  [Dan Hill]
  * d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch:
    - Collect balancer and pg-autoscale status (LP: #1893109)

  [Nicolas Bock]
  * d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch:
    - Add information on maybe_stuck() processes for RMQ. (LP: #1890846)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 18 Sep 2020 09:23:04 -0400

sosreport (4.0-1) unstable; urgency=medium

  * New 4.0 upstream release.

    Release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/4.0

  * Other specific modifications:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-fix-dict-order-py38-incompatiblity.patch

  * d/control: Maintainer change from Louis to Eric.

 -- Eric Desrochers <slashd@ubuntu.com>  Wed, 19 Aug 2020 22:49:24 +0000

sosreport (3.9.1-1) unstable; urgency=medium

  * New 3.9.1 upstream release.
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch

  * Other specific modifications:
    - Include simple.sh, an upstream port of the travis test to bash,
      as part of the package autopkgtest.

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 16 Jun 2020 12:18:58 +0000

sosreport (3.9-2) unstable; urgency=medium

  * debian/control:
    Drop accidentally re-introduces py2 runtime dependency

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 17 Feb 2020 12:50:37 +0000

sosreport (3.9-1) unstable; urgency=medium

  * New 3.9 upstream release.
    - Improved human-readable archive naming and support for archive labels
    - Improved reporting of archive output and properties
    - Support for automatic uploading of report archives via FTP and HTTPS
    - Automatic PATH support on Ubuntu distributions
    - Improved policy performance
    - Improved service status collection API
    - 9 new plugins: cloud_init, convert2rhel, ebpf, fwupd, login, nginx,
      nvidia, openstack_tripleo
    - 6 obsolete plugins removed or merged into other plugins:
      katello, last, mrggrid, mrgmessg, satellite
    - Significant updates to 14 plugins: dlm, dnf, ceph, foreman, gluster,
      gnocchi, juju, kubernetes, logs, maas, networking, openvswitch,
      python, plugins
    - The openswan plugin was renamed to libreswan to reflect the active
      upstream project name
    - Updated Red Hat presets and new Cloud Forms preset
    - Updates to networking plugin namespace handling
    - Updates to the OVN plugins (ovn_central, ovn_host)
    - Kernel eBPF data consolidated in a single plugin

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.9

  * Other specific modifications:
    - d/p/0001-unittest-py3-fix.patch

 -- Eric Desrochers <slashd@ubuntu.com>  Sun, 16 Feb 2020 01:35:52 +0000

sosreport (3.8-1) unstable; urgency=medium

  * New 3.8 upstream release.
    Contains a number of enhancements, new features and bug fixes including:
    - 6 new plugins: container_log, frr, leapp, openstack_placement, qt, vdsm
    - kubernetes plugin can now optionally grab logs only for certain pods
    - kdump plugin will now collect initramfs content
    - pulp and foreman plugins now support collecting from an external database
    - sar plugin will now collect the full sar log dir
    - vdsm and ovirt plugins will now collect host certificates
    - openvswitch plugin will now enable on openvswitch2.* packages
    - Added support for only capturing logs after a specific date, --since
      option
    - Fixed an issue causing high CPU utilization which slowed journal
      collection
    - Fixed an issue where plugins could continue executing commands after
      their timeout was hit
    - sosreport will no longer abort execution on Red Hat family systems when
      the package manager fails to query a file list

  * Plugin API enhancements
    - Plugins may now capture environment variables, which will be written to
      /environment in the sos archive root
    - Plugins may now write command output to subdirs within their own
      sos_commands/plugin directory
      - The container plugins have been updated to make use of this
        functionality
    - SoSPredicate usage may now be match either any or all of the provided
      elements, and may mix requirements of kmods and services to determine
      if a command should be collected.

  * Significant changes to the reporting system of sos
    - HTML reports replaced by a Report subclass
    - HTML report creation time is significantly improved
    - Added a JSON formatted report option

  * Allow system changes option
    - A new --allow-system-changes option has been added that will allow users
      to collect certain data, even if it means the host system would be
      changed.

  * Former patches now fixed upstream:
    - d/p/0001-skip-py2-only-tests.patch
    - d/p/archive-fix-stat-typo.patch
    - d/p/avoid-distutils.diff

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 09 Sep 2019 15:40:31 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sosreport`.
